"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.findNearestNodeModulesPath = exports.trimSlash = exports.startsWithOrEqual = exports.displayPart = exports.hasSymbolDefined = exports.hasModuleImported = void 0;
const fs = __importStar(require("fs"));
const path = __importStar(require("path"));
const ts = __importStar(require("typescript/lib/tsserverlibrary"));
function hasModuleImported(sourceFile, module) {
    return sourceFile.imports.some((token) => token.text === module);
}
exports.hasModuleImported = hasModuleImported;
function hasSymbolDefined(sourceFile, symbol) {
    for (const [local] of sourceFile.locals) {
        if (local === symbol) {
            return true;
        }
    }
    return false;
}
exports.hasSymbolDefined = hasSymbolDefined;
function displayPart(text, kind) {
    return { text, kind: ts.SymbolDisplayPartKind[kind] };
}
exports.displayPart = displayPart;
function startsWithOrEqual(a, b) {
    if (a.length < b.length) {
        return false;
    }
    if (a.length === b.length) {
        return a === b;
    }
    return a.toLowerCase().startsWith(b.toLowerCase());
}
exports.startsWithOrEqual = startsWithOrEqual;
function trimSlash(path) {
    return path.replace(/\/+$/, '');
}
exports.trimSlash = trimSlash;
function findNearestNodeModulesPath(destDir) {
    let p = destDir;
    while (p !== '/') {
        const dest = path.join(p, 'node_modules');
        if (fs.existsSync(dest)) {
            return dest;
        }
        p = path.resolve(p, '..');
    }
    throw Error('Could not find node_modules dir');
}
exports.findNearestNodeModulesPath = findNearestNodeModulesPath;
//# sourceMappingURL=helpers.js.map