"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.resolveTypings = exports.requireModule = void 0;
const path = __importStar(require("path"));
const fs = __importStar(require("fs"));
const resolve_1 = __importDefault(require("resolve"));
function requireModule(module, root) {
    const file = resolve_1.default.sync(module, {
        basedir: root,
    });
    return require(file);
}
exports.requireModule = requireModule;
function resolveTypings(module, root) {
    const modulePath = path.join(root, 'node_modules', module);
    const modulePkg = require(path.join(modulePath, 'package.json'));
    return fs.realpathSync(path.resolve(modulePath, modulePkg.typings || modulePkg.types || 'index.d.ts'));
}
exports.resolveTypings = resolveTypings;
//# sourceMappingURL=module.js.map