import * as ts from 'typescript/lib/tsserverlibrary';
import { LanguageService } from './LanguageService';
import { RemixProject } from './RemixProject';
import { RouteContext } from './RouteContext';
import { ScriptSourceHelper } from './ScriptSourceHelper';
export declare class RouteHelperLanguageService extends LanguageService {
    private tsProject;
    private remixProject;
    private sourceHelper;
    constructor(tsProject: ts.server.Project, remixProject: RemixProject, sourceHelper: ScriptSourceHelper);
    tryAdaptGetQuickInfoAtPosition(): void;
    tryAdaptGetDefinitionAndBoundSpan(): void;
    getRoute(fileName: string, position: number): RouteContext | undefined;
    private getValidRouteNode;
}
